Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbAttachment

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<Attachment>
          org.jbpm.services.task.impl.model.xml.JaxbAttachment

All Implemented Interfaces:
  Externalizable, Serializable, Attachment

    public class JaxbAttachment

extends AbstractJaxbTaskObject<Attachment>
implements Attachment

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`realClass`

Constructor Summary
`JaxbAttachment()`
`JaxbAttachment(Attachment attachment)`

Method Summary
`Date` | `getAttachedAt()`
`User` | `getAttachedBy()`
`long` | `getAttachmentContentId()`
`String` | `getContentType()`
`Long` | `getId()`
`String` | `getName()`
`int` | `getSize()`

Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Constructor Detail

### JaxbAttachment

    public JaxbAttachment()

### JaxbAttachment

    public JaxbAttachment(Attachment attachment)

Method Detail

### getId

    public Long getId()

  Specified by:
    `getId` in interface `Attachment`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Attachment`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Attachment`

### getAttachedAt

    public Date getAttachedAt()

  Specified by:
    `getAttachedAt` in interface `Attachment`

### getAttachedBy

    public User getAttachedBy()

  Specified by:
    `getAttachedBy` in interface `Attachment`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `Attachment`

### getAttachmentContentId

    public long getAttachmentContentId()

  Specified by:
    `getAttachmentContentId` in interface `Attachment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.